Bug 456488 - Displayed window size may change depending on window position
Summary: Displayed window size may change depending on window position
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Pager (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: ratijas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-08 19:06 UTC by ratijas
Modified: 2022-07-13 17:36 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6 5.25.3 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ratijas 2022-07-08 19:06:02 UTC
SUMMARY

Basically, geometry sizes are not rounded, which may cause jumpiness when a window is dragged little-by-little across a screen.

STEPS TO REPRODUCE
1. Open a window which doesn't take the whole screen.
2. Drag it a little bit

OBSERVED RESULT

Window has moved, but also its size increased or decreased by a pixel.

EXPECTED RESULT

Window should move without changing its size.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.25.80
KDE Frameworks Version: 5.96.0
Qt Version: 5.15.5
Kernel Version: 5.18.9-arch1-1 (64-bit)
Graphics Platform: X11
Comment 1 Bug Janitor Service 2022-07-09 15:54:42 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1029
Comment 2 ratijas 2022-07-09 18:20:38 UTC
Git commit 86e2ba2618ffc749156d9d2b946655a83c1956f5 by ivan tkachenko.
Committed on 09/07/2022 at 15:50.
Pushed by ratijas into branch 'master'.

[applets/pager] Round displayed window geometry to avoid size "jumps"
FIXED-IN: 5.24.6 5.25.3 5.26

M  +4    -4    applets/pager/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/86e2ba2618ffc749156d9d2b946655a83c1956f5
Comment 3 ratijas 2022-07-09 18:21:10 UTC
Git commit 00a3851c911701afe32868f89497b46feff19b73 by ivan tkachenko.
Committed on 09/07/2022 at 18:00.
Pushed by ratijas into branch 'Plasma/5.25'.

[applets/pager] Round displayed window geometry to avoid size "jumps"
FIXED-IN: 5.24.6 5.25.3 5.26
(cherry picked from commit 86e2ba2618ffc749156d9d2b946655a83c1956f5)

M  +4    -4    applets/pager/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/00a3851c911701afe32868f89497b46feff19b73
Comment 4 ratijas 2022-07-09 18:21:25 UTC
Git commit f1287cc7d3d1a5f4060006f8d444c31a5932840c by ivan tkachenko.
Committed on 09/07/2022 at 18:00.
Pushed by ratijas into branch 'Plasma/5.24'.

[applets/pager] Round displayed window geometry to avoid size "jumps"
FIXED-IN: 5.24.6 5.25.3 5.26
(cherry picked from commit 86e2ba2618ffc749156d9d2b946655a83c1956f5)

M  +4    -4    applets/pager/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/f1287cc7d3d1a5f4060006f8d444c31a5932840c